<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionCurrentLevel](./bitburner.bladeburner.getactioncurrentlevel.md)

## Bladeburner.getActionCurrentLevel() method

Get the current level of an action.

**Signature:**

```typescript
getActionCurrentLevel(type: string, name: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |

**Returns:**

number

Current level of the specified action.

## Remarks

RAM cost: 4 GB

Returns the current level of this action.

Returns -1 if an invalid action is specified.

